Test Enrichment Provider
curl --request POST \
--url https://api.example.com/v1/enrichment-providers/{provider_uuid}/test \
--header 'Content-Type: application/json' \
--data '
{
"indicator_type": "<string>",
"indicator_value": "<string>"
}
'import requests
url = "https://api.example.com/v1/enrichment-providers/{provider_uuid}/test"
payload = {
"indicator_type": "<string>",
"indicator_value": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({indicator_type: '<string>', indicator_value: '<string>'})
};
fetch('https://api.example.com/v1/enrichment-providers/{provider_uuid}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"provider_name": "<string>",
"indicator_type": "<string>",
"indicator_value": "<string>",
"extracted": {},
"raw_response": {},
"error_message": "<string>",
"duration_ms": 0,
"steps": [
{
"step_name": "<string>",
"step_index": 123,
"request_method": "<string>",
"request_url": "<string>",
"request_headers": {},
"indicator_value": "<string>",
"request_query_params": {},
"request_body": null,
"response_status_code": 123,
"response_headers": {},
"response_body": null,
"duration_ms": 0,
"error": "<string>",
"skipped": false
}
]
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Enrichment Providers
Test Enrichment Provider
POST
/
v1
/
enrichment-providers
/
{provider_uuid}
/
test
Test Enrichment Provider
Path Parameters
Body
application/json
⌘I

